package com.bizzan.bitrade.dao;

import com.bizzan.bitrade.dao.base.BaseDao;
import com.bizzan.bitrade.entity.WithdrawChainConfig;

import java.util.List;

public interface WithdrawChainConfigDao extends BaseDao<WithdrawChainConfig> {

    WithdrawChainConfig findByCoinUnitAndEnabled(String coinUnit, Integer enabled);

    List<WithdrawChainConfig> findAllByCoinUnitAndEnabled(String coinUnit, Integer enabled);

    boolean existsByCoinUnitAndChainName(String coinUnit, String chainName);
}
